Autor Tema: Hacer wifislax , MAS modular ?¿  (Leído 1456 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14889
Re:Hacer wifislax , MAS modular ?¿
« Respuesta #20 en: 03-09-2020, 23:28 (Jueves) »
audacity-2.4.2   lo compile en 14.2  , pero no me acuerdo lo que tube que hacer, por que daba error compilando , no actualice las glibc eso segurisimo , y cmake me pone el de serie tambien 3.5.2   , ahora  me va a tocar investigarlo otra vez ...y si no tampoco pasa nada el 2.3.2 funciona bien.




Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14889
Re:Hacer wifislax , MAS modular ?¿
« Respuesta #21 en: 03-09-2020, 23:36 (Jueves) »
puede que actualizara cmake , y luego lo volviera a poner a la de serie ..por que me sale el mensaje ...

Código: [Seleccionar]
CMake Error at CMakeLists.txt:6 (cmake_minimum_required):
  CMake 3.15 or higher is required.  You are running version 3.5.2


lo bueno es que luego no depende de cmake, es solo al compilar, luego lo puedo downgradear y no pasa na...

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14889
Re:Hacer wifislax , MAS modular ?¿
« Respuesta #22 en: 04-09-2020, 00:30 (Viernes) »
audacity no se vincula a las librerias cmake, solo lo usa para generar su ejecutable ... se puede actualizar cmake,  compilar audacity-2.4.2 y despues volve a cmake-3.5.2 de serie.

actualizar cmake usando el build de current , compilarlo en sistema 14.2 , y a correr ..funcional.

TE VOY A DAR YO A TI GLIBC PAL PELO.


« Última modificación: 04-09-2020, 00:30 (Viernes) por USUARIONUEVO »

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14889
Re:Hacer wifislax , MAS modular ?¿
« Respuesta #23 en: 04-09-2020, 00:52 (Viernes) »
UFFF   , se me va a hacer dificil dejar ffmpeg fuera de la iso ...  cualquier cosa multimedia lo pide..

youtube-dl --> ffmpeg transformar formatos
vlc        --> ffmpeg
audacity   --> ffmpeg
ardour     --> ffmpeg
lives      --> ffmpeg
kodi       --> ffmpeg

Desconectado CristianEdgardo

  • **
  • Mensajes: 28
Re:Hacer wifislax , MAS modular ?¿
« Respuesta #24 en: 04-09-2020, 06:28 (Viernes) »
UFFF   , se me va a hacer dificil dejar ffmpeg fuera de la iso ...  cualquier cosa multimedia lo pide..

youtube-dl --> ffmpeg transformar formatos
vlc        --> ffmpeg
audacity   --> ffmpeg
ardour     --> ffmpeg
lives      --> ffmpeg
kodi       --> ffmpeg


Pami, solo pami... es una locura... que iso no baja de los tres gigas, mira hay que algo que los users tienen que tener en claro, no se hace "sofsware para hardware" se hace "hardware para sofsware", y hoy la gente quiere mas, tonces los sofsware aumentan su imagen peso y por ello su peso, y ojo que tal vez su peso sea igualito pero lineas de codigos actualizadas... que hacen cosas mas modernas y por ello mas pesada, tonces hay que fabricar hardaware mas potente que a su vez se maneja con mas sofsware moderno y por ende mas pesado... y asi susesivamente...

con el simple echo de querer grabar lo que hacen en wifislax van a querer un grabador de pantalla... con todas las librerias que ello implica y luego te van a caer las quejas..., como muchos aqui tengo sistemas viejos como wifislax 4.11 para pcs viejas y las otras ya casi no las quiero ni ver, solo para usar el gabineta de asador....
no te rompas la cabeza... acordate que quieren usar word para la escuelita del pibe, y luego te vienen y te dicen_: -no puedo instalar el simulador de la nasa de la flota yanqui el simulador dedel play7, y terminan diciendo no le puedo besar a messi...
Cristian Edgardo, Santa Fe, Argentina

Desconectado waydehawai

  • *****
  • Mensajes: 109
Re:Hacer wifislax , MAS modular ?¿
« Respuesta #25 en: 04-09-2020, 13:21 (Viernes) »
yo lo digo por ti que me preocupo yo tengo una con las gcc 7.3.0 y la glibc 2.26
lo malo que la tengo a medias y no me compila nada pero los programas nuevos funcionan y no dan el error de glibc caducada o sea que la glibc esta fina me faltaran algunas depen de gcc a ver si lo acabo de actualizar todo un año de estos,
soy mas perro que el patric ese

vas y se lo dices a patric volkerdi , que actualice la 14.2 en las glibc y las gtk3 de mi parte porfa ...veras donde te manda  ;D ;D ;D
como siga a este paso de dejadez y abandono de sus usuarios el que lo voy a mandar voy a ser yo

aparte de las cagadas ellos sabran cuando tienen una current que vaya medio bien,
y que podia ser liberada como beta alpha o lo que sea y tenerlo algo actualizado,
pero estan en su puto mundo y cuando saquen la nueva no la va a conocer ni dios.


el audacity uso uno antiguo y me va de kujo solo es por probar y tampoco tiene tanto nuevo el nuevo,
si lo sacaron mas que nada porque era un aniversario o alguna ****da asi y para joder con el rollo glibc,
puede que se pueda compilar no lo se yo use el paquete compilado de alien y pedia glibc nueva,
intenta compilar hexchat que es otro de los enemigos de glibc


vlc solo necesita ffmpeg para transformar formatos para reproducir no, creo yo
jdownloader tambien lo necesita que lo sepas puedes ponerlo en tu lista
lo mejor es quitar todo lo multimedia y hacerla wifi solo de verdad

audacity no se vincula a las librerias cmake, solo lo usa para generar su ejecutable ... se puede actualizar cmake,  compilar audacity-2.4.2 y despues volve a cmake-3.5.2 de serie.
como la mayoria de los millones de librerias que me vas a contar.


Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14889
Re:Hacer wifislax , MAS modular ?¿
« Respuesta #26 en: 05-09-2020, 07:42 (Sábado) »
Usuarioway , te lo has tomado mejor de lo que pensaba , y asumes bien que algun problema al compilar viene de mezclar paquetes , tal vez si los compilaras en lugar de usar el que viene de current funcionase bien , si tocas las gcc , tienes que actualizar otros relacionados por que llevan dentro la ruta de las gcc .. creo que libtool es una.

respecto a /current  , pues ya lo ves 3 años y sigue el tio , ni a metido aun plasma5 .. va muy muy lento y otra es lo que tu dices , revienta el -current cada 2 por tres , ademas ahora lleva PAM , ...pim pam toma lacasitos .. en fin.

Se hace lo que se puede.

Si al menos ya tubiera el plasma5 , seria motivacion para ir provando ..pero con kde4 , me quedo la estable.

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14889
Re:Hacer wifislax , MAS modular ?¿
« Respuesta #27 en: 05-09-2020, 07:45 (Sábado) »
tampoco entiendo bien que dices de programas que te dicen glibc caducao ...a ver si te has liado con la librei de gtk qye el nombre se parece  glib2  no es glibc

Nunca he visto nada al compilar que exija una version concreta de glibc

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14889
Re:Hacer wifislax , MAS modular ?¿
« Respuesta #28 en: 05-09-2020, 09:35 (Sábado) »
egectivamente vlc, no se vincula a ffmpeg , pero hay otras librerias que si ...


Mi idea , para no andar con el mismo paquete repetido en varios sitios es crear uno "comun"    common-multimedia  , donde iran los paquetes que sean requeridos por varios programas , siempre que tampoco sean una cosa exagerada , si es una libreria mas tocha como webkit2gtk , o algo como wxgtk3  , esas si estaran en segun que modulo ..o tal vez deje dentro de cada app , solo las deps, que son exclusivas suyas y de ningun otro , tengo que pensar como hacerlo bien y ordenador para tenerlo facil a la hora de controlar las actualizaciones semanales de slackbuilds y saber en donde anda cada cosa  ...   que ganas de complicarme la vida ..jaja

Desconectado waydehawai

  • *****
  • Mensajes: 109
Re:Hacer wifislax , MAS modular ?¿
« Respuesta #29 en: 05-09-2020, 21:42 (Sábado) »
el problema problema no es el compilar,
aparte de tor que si que exige version a la hora de compilar pero no ha llegado todavia la caducidad a la 14.2 pero poco le faltara, por ejemplo en la version anterior ya no se deja compilar,
el problema de version viene de los programas de terceros como alien.

Nunca he visto nada al compilar que exija una version concreta de glibc
yo aparte de tor tampoco

  ...   que ganas de complicarme la vida ..jaja
ya te digo y mas a estas alturas

aparte del tema multimedia tambien esta jdownloader que tambien necesita fmpeg

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14889
Re:Hacer wifislax , MAS modular ?¿
« Respuesta #30 en: 05-09-2020, 21:51 (Sábado) »
el problema problema no es el compilar,
aparte de tor que si que exige version a la hora de compilar pero no ha llegado todavia la caducidad a la 14.2 pero poco le faltara, por ejemplo en la version anterior ya no se deja compilar,
el problema de version viene de los programas de terceros como alien.

Nunca he visto nada al compilar que exija una version concreta de glibc
yo aparte de tor tampoco

  ...   que ganas de complicarme la vida ..jaja
ya te digo y mas a estas alturas

aparte del tema multimedia tambien esta jdownloader que tambien necesita fmpeg

CREO QUE  jdownloader bajaba su propio ffmpeg ..

por lo de alien , es normal , si te fijas al descargar pone para que rama es ..y ya casi no hace nada para 14.2  , es casi todo /current  , por eso luego te piden otra glibc..te pediran las de current  ;D

Desconectado waydehawai

  • *****
  • Mensajes: 109
Re:Hacer wifislax , MAS modular ?¿
« Respuesta #31 en: 05-09-2020, 22:01 (Sábado) »
CREO QUE  jdownloader bajaba su propio ffmpeg ..
sera ahora,
he tenido que poner la ruta del fmpeg por eso lo se porque no lo encontraba y no me acababa de bajar nada

por lo de alien , es normal , si te fijas al descargar pone para que rama es ..y ya casi no hace nada para 14.2  , es casi todo /current  , por eso luego te piden otra glibc..te pediran las de current  ;D
pero en el repo lo tiene en carpetas segun la version, me suelo bajar la de 14.2

lo de audacity alien tenia un post solo para eso y su aniversario, quizas ese si era para current
igualmente solo lo uso para cortar mp3 y poner efectos y los antiguos ya lo hacen

se puede cambiar el nick ondeflai no lo sabia xDD

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14889
Re:Hacer wifislax , MAS modular ?¿
« Respuesta #32 en: 06-09-2020, 15:58 (Domingo) »
he mirado lo de jdownloader2 y ffmpeg , y nada nuevo ..  el script , que lleva la iso , lo que hace es bajarselo al momento , y cuando vas a descargar multimedia, te avisa que no esta ffmpeg, aceptas y le dices instalamelo , y te lo instala , pero lo que instala no es ffmpeg como tal , de hecho si lo intentas ejecutar en konsola no estara , lo que hace es bajarse una especie de plugin , como los navegadores..y lo mete en su propia ruta , para no intereferir supongo si tienen tu propio ffmpeg.

vamos que no pasa nada, yo nunca he afrecido un modulo con jdownloader como tal ..es un script que lo baja y lo instala al vuelo ..luego si necesita algun plugins te lo dice y lo baja y lo instala el solo.

controlado todo , y el tema del driver de nvidia ya lo tengo tambien , aunque no se que hacer , por que el modulo lleva las multilib para poder usar el driver con wine ... y no me gustan las cosas a medias ...  tal vez lo separe en 2

o tal vez haga dos versiones , una con multilib y otro solo x64 para hashcat y aplicaciones de crack por gpu...que no necesitan para nada el multilib.
« Última modificación: 06-09-2020, 15:59 (Domingo) por USUARIONUEVO »

Desconectado sol666

  • ****
  • Mensajes: 70
Re:Hacer wifislax , MAS modular ?¿
« Respuesta #33 en: 06-09-2020, 17:23 (Domingo) »
has podido compilar el último driver Nvidia de su página oficial? a mi me da error sed y no acaba

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14889
Re:Hacer wifislax , MAS modular ?¿
« Respuesta #34 en: 06-09-2020, 20:10 (Domingo) »
has podido compilar el último driver Nvidia de su página oficial? a mi me da error sed y no acaba

si tiene sed dale agua, es normal..hace calor.

no lo he probado ni lo voy a probar , el que tengo en modulos es el que pide minimo hashcat , no me voy a complicar la vida  ;D

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14889
Re:Hacer wifislax , MAS modular ?¿
« Respuesta #35 en: 06-09-2020, 20:54 (Domingo) »
has podido compilar el último driver Nvidia de su página oficial? a mi me da error sed y no acaba

si tiene sed dale agua, es normal..hace calor.

no lo he probado ni lo voy a probar , el que tengo en modulos es el que pide minimo hashcat , no me voy a complicar la vida  ;D

venga va, lo voy a mirar..no sea que se muera de sed.. ;D ;D ;D

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14889
Re:Hacer wifislax , MAS modular ?¿
« Respuesta #36 en: 06-09-2020, 21:40 (Domingo) »
voy a subir la iso , y el ultimo driver de nvidia, para ir probandolo ...

me preocupa un poco la compresion , ya que he usado bloques de 1024 en las squashfs , y puede que los equipos mas flojos se resientan un poco , si es asi , lo bajaria a 512k
« Última modificación: 06-09-2020, 21:41 (Domingo) por USUARIONUEVO »